import AddBankEntryModal from '../index'

describe('AddBankEntryModal Container', () => {
  const ConnectedAddBankEntryModal = withContext(AddBankEntryModal)
  const testbed = createTestbed(ConnectedAddBankEntryModal, {
    modalOpen: true,
    modalActions: sinon.stub(),
    modificationActions: sinon.stub(),
    navigateToBankEntry: sinon.stub()
  })

  useFakeFetching({
    dispatchStub: sinon.stub(),
    getStateStub: sinon.stub(),
    fetchStub: sinon.stub()
  })

  shouldRenderComponent(testbed, {}, AddBankEntryModal)
})
